Subject: [PCN] How to implement a virtual queue with current hardware

From: Bob Briscoe <[email-masked]>
Date: Mon, 19 Mar 2012 00:01:46 +0000

PCN list,

Implementers might be interested in this tech report we've just 
published. It describes how to implement a virtual queue using 
existing hardware.

How to Build a Virtual Queue from Two Leaky Buckets (and why one is not enough)
<http://www.bobbriscoe.net/pubs.html#vq2lb>

Abstract:  A virtual queue can be used to predict when a real queue 
is about to grow. This memo explains why using a leaky bucket to 
implement a virtual queue is not useful, despite a superficial 
similarity. However, it is possible to implement a useful virtual 
queue using two leaky buckets. It requires a simple trick that can 
typically be implemented with existing hardware.

Bob

________________________________________________________________
Bob Briscoe,                                BT Innovate & Design